import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsCoursepoint {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  CourseId!: bigint;
  Content?: string;
  TimePoint!: number;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsCoursepointSchema = defineEntity({
  class: ScsCoursepoint,
  comment: '课程知识点',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    CourseId: p.bigint().name('CourseId').comment('课程id'),
    Content: p.string().name('Content').length(500).nullable().comment('内容'),
    TimePoint: p.integer().name('TimePoint').comment('时间点'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
